This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877581 - wiki AutoProvidesAndRequiresFiltering appears to have incorrect information
wiki AutoProvidesAndRequiresFiltering appears to have incorrect information
Status: NEW
Product: Fedora Documentation
Classification: Fedora
Component: packager-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Kovar
Jaromir Hradilek
:
: 877583 877588 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-16 19:32 EST by Paulo Andrade
Modified: 2013-04-03 09:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-11-16 19:32:43 EST
https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

If using the suggested method to prevent python modules
if will stop due to something missing in %filter_setup:

$ rpm -E "'%filter_setup'"
' 
'

and suggested method is:
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup
}

I noticed several packages use a pattern like:
%global __provides_exclude_from	^%{python_sitearch}/.*\\.so$
that appears to work.

I see this in rawhide and f17:
$ rpm --showrc | grep __provides_exclude_from
%global __provides_exclude_from %{perl_vendorarch}/auto/.*\\.so$|%{perl_archlib}/.*\\.so$|%{_docdir}

maybe python modules should be added to the default value.
Comment 1 Paulo Andrade 2012-11-17 07:36:52 EST
*** Bug 877583 has been marked as a duplicate of this bug. ***
Comment 2 Paulo Andrade 2012-11-17 07:37:19 EST
*** Bug 877588 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.